﻿@model ASPNETMVCExemploValidacao.Models.Tarefa

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>

@using (Html.BeginForm()) {
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Tarefa</legend>

        <div class="editor-label">
            @Html.LabelFor(model => model.DataInicial)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.DataInicial)
            @Html.ValidationMessageFor(model => model.DataInicial)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Descricao)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Descricao)
            @Html.ValidationMessageFor(model => model.Descricao)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ValorInteiro)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.ValorInteiro)
            @Html.ValidationMessageFor(model => model.ValorInteiro)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ValorDecimal)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.ValorDecimal)
            @Html.ValidationMessageFor(model => model.ValorDecimal)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ValorDouble)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.ValorDouble)
            @Html.ValidationMessageFor(model => model.ValorDouble)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Status)
        </div>
        <div class="editor-field">
             @Html.DropDownListFor(model => model.Status, (SelectList)ViewBag.ListaDeStatus)
        </div>

        <p>
            <input type="submit" value="Create" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
